Subject: [DNSOP] New Version Notification for draft-muks-dnsop-dns-squash-01.txt

From: Mukund Sivaraman <[email-masked]>
Date: Mon, 2 Apr 2018 15:56:50 +0530

On Mon, Apr 02, 2018 at 03:20:02AM -0700, [email-masked] wrote:
> 
> A new version of I-D, draft-muks-dnsop-dns-squash-01.txt
> has been successfully submitted by Mukund Sivaraman and posted to the
> IETF repository.
> 
> Name:		draft-muks-dnsop-dns-squash
> Revision:	01
> Title:		DNS squash
> Document date:	2018-04-01
> Group:		Individual Submission
> Pages:		6
> URL:            https://www.ietf.org/internet-drafts/draft-muks-dnsop-dns-squash-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-muks-dnsop-dns-squash/
> Htmlized:       https://tools.ietf.org/html/draft-muks-dnsop-dns-squash-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-muks-dnsop-dns-squash
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-muks-dnsop-dns-squash-01
> 
> Abstract:
>    This document attempts to specify current DNS protocol in squashed
>    form in a single document.

You can compare what's in section 3 (Data structure) to what's in RFC
1034 section 3.1. (Name space specifications and terminology).

I'll post revisions weekly. Reviews and participation (preferrably first
in the form of discussion to prepare a list of things to do) are
welcome.

https://github.com/muks/dnssquash/

		Mukund

---

From: Bob Harold <[email-masked]>
Date: Mon, 9 Apr 2018 16:31:57 -0400

On Mon, Apr 2, 2018 at 6:26 AM, Mukund Sivaraman <[email-masked]> wrote:

> > URL:            https://www.ietf.org/internet-
> drafts/draft-muks-dnsop-dns-squash-01.txt

3. Data Structure
...

   A DNS name is printed as a concatenation left to right of the
   individual labels on the path from the node to the root, each label
   trailing with an ASCII period '.' character.  Thus a complete printed
   DNS name ends with a period character.

Not exactly.  There is no period after the zero-length root zone.
The last period is actually between the tld and the root zone.
So 'there is a period between each zone' not 'after each zone'
even though it looks like a trailing dot.

-- 
Bob Harold

---

From: "Darcy Kevin (FCA)" <[email-masked]>
Date: Mon, 9 Apr 2018 21:52:45 +0000

The document candidly categorizes itself, in Section 1, as “a pedantic network protocol description”. As such, I think it might be appropriate for it to describe DNS names as appearing in the only form that is unambiguous and implementation-agnostic, i.e. dot-terminated FQDN.

Having said that, even RFC 1034 admits that the non-dot-terminated form “is often one where the trailing dot has been omitted to save typing”, so if the document wants to give a nod to how DNS names are typically represented in practice, that would also be fine, albeit slightly less pedantic.

                                                                                                                                              - Kevin

From: DNSOP <[email-masked]> On Behalf Of Bob Harold
Sent: Monday, April 09, 2018 4:32 PM
To: Mukund Sivaraman <[email-masked]>
Cc: IETF DNSOP WG <[email-masked]>
Subject: Re: [DNSOP] New Version Notification for draft-muks-dnsop-dns-squash-01.txt

On Mon, Apr 2, 2018 at 6:26 AM, Mukund Sivaraman <[email-masked]<mailto:[email-masked]>> wrote:

                Mukund

3. Data Structure
...

--
Bob Harold

---

From: Tony Finch <[email-masked]>
Date: Tue, 10 Apr 2018 11:11:30 +0100

Darcy Kevin (FCA) <[email-masked]> wrote:
>
> Having said that, even RFC 1034 admits that the non-dot-terminated form
> “is often one where the trailing dot has been omitted to save typing”,
> so if the document wants to give a nod to how DNS names are typically
> represented in practice, that would also be fine, albeit slightly less
> pedantic.

To be truly pedantic it should mention that some protocols (mail at least)
forbid a trailing dot :-)

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
Humber, Thames, Dover, Wight, Portland: East 4 or 5, occasionally 6 except in
Dover, becoming variable 4 at times. Slight or moderate, occasionally rough in
Humber and Portland. Rain or showers, thundery except in Humber, fog patches.
Moderate or good, occasionally very poor.

---

From: Bob Harold <[email-masked]>
Date: Tue, 10 Apr 2018 09:27:44 -0400

> forbid a trailing dot :-)
And web browsers, in my experience.

-- 
Bob Harold

---

From: Paul Vixie <[email-masked]>
Date: Tue, 10 Apr 2018 09:29:23 -0700

Tony Finch wrote:
...
> forbid a trailing dot :-)

agree. no :-).

-- 
P Vixie